Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	Glade is a free user interface builder for GTK+ and GNOME.
Name:      	glade
Version:   	2.10.0
Release:   	2
Provides:	glade
License: 	GNU/GPL
Url:		http://glade.gnome.org/
Group:     	Development/Other
Source0: 	%{name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}-desktop.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description
Glade is a RAD tool to enable quick & easy development of user interfaces
for the GTK+ toolkit and the GNOME desktop environment. It also contains
built-in support for generating the C source code needed to recreate the
interfaces.

The user interfaces designed in Glade are stored in XML format,
enabling easy integration with external tools. Several tools are already
available which can turn the XML files into source code in other languages
such as C++, Perl and Python. Other tools such as libglade can load the XML
files and create the interfaces at runtime (see the Languages Supported
section below). The DTD for the XML files is included with libglade,
and is also at http://glade.gnome.org/glade-2.0.dtd.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n glade-%{version}
%patch0 -p1

%build
./configure --prefix=%_prefix \
--disable-debug \
--disable-gnome \
--disable-gnome-db
make

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir
%_datadir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Feb 12 2006 Christian Wasem <wasem@ccux-linux.de> 2.10.0-2
- rebuilt, added desktop/icon patch
* Sat Jul 02 2005 Karsten Brockmann <arcam@ccux-linux.de> 2.10.0-1
- Version Update to 2.10.0
* Sun Jan 09 2005 Christian Metzen <metzench@ccux-linux.de> 2.6.8-1
- Initial Release